## r-cran-bayesm 2.2

=== DESCRIPTION ===
Package: bayesm
Version: 2.2-4
Date: 2011-02-25
Title: Bayesian Inference for Marketing/Micro-econometrics
Author: Peter Rossi <perossichi@gmail.com>.
Maintainer: Peter Rossi <perossichi@gmail.com>
Depends: R (>= 2.12.1)
Description: bayesm covers many important models used in marketing and
        micro-econometrics applications. The package includes: Bayes
        Regression (univariate or multivariate dep var), Bayes
        Seemingly Unrelated Regression (SUR), Binary and Ordinal
        Probit, Multinomial Logit (MNL) and Multinomial Probit (MNP),
        Multivariate Probit, Negative Binomial (Poisson) Regression,
        Multivariate Mixtures of Normals (including clustering),
        Dirichlet Process Prior Density Estimation with normal base,
        Hierarchical Linear Models with normal prior and covariates,
        Hierarchical Linear Models with a mixture of normals prior and
        covariates, Hierarchical Multinomial Logits with a mixture of
        normals prior and covariates, Hierarchical Multinomial Logits
        with a Dirichlet Process prior and covariates, Hierarchical
        Negative Binomial Regression Models, Bayesian analysis of
        choice-based conjoint data, Bayesian treatment of linear
        instrumental variables models, and Analysis of Multivariate
        Ordinal survey data with scale usage heterogeneity (as in Rossi
        et al, JASA (01)). For further reference, consult our book,
        Bayesian Statistics and Marketing by Rossi, Allenby and
        McCulloch.
License: GPL (>= 2)
URL: http://www.perossi.org/home/bsm-1
Packaged: 2011-02-26 20:38:56 UTC; perossichi
Repository: CRAN
Date/Publication: 2011-02-27 18:04:44

## r-cran-bayesm 2.2-4

=== debian/changelog ===
r-cran-bayesm (2.2-4-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 27 Feb 2011 19:10:54 -0600

r-cran-bayesm (2.2-3-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 15 Jan 2011 11:27:59 -0600

r-cran-bayesm (2.2-2-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 24 Jun 2008 12:22:35 -0500

r-cran-bayesm (2.2-1-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 29 Mar 2008 02:09:40 -0500

r-cran-bayesm (2.2-0-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 07 Mar 2008 13:37:59 -0600

r-cran-bayesm (2.1-2-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 22 Mar 2007 16:30:36 -0500

r-cran-bayesm (2.0-9-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 20 Jan 2007 21:43:18 -0600

r-cran-bayesm (2.0-8-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 19 Mar 2006 20:22:49 -0500

r-cran-bayesm (2.0-7-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 13 Feb 2006 19:50:06 -0500

r-cran-bayesm (2.0-6-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 25 Jan 2006 22:38:09 -0500

r-cran-bayesm (2.0-5-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 11 Jan 2006 04:15:27 -0500

r-cran-bayesm (2.0-3-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  8 Dec 2005 09:04:51 -0500

r-cran-bayesm (2.0-1-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sat,  8 Oct 2005 19:54:18 -0400

r-cran-bayesm (1.1-2-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Wed,  6 Jul 2005 13:50:55 -0500

r-cran-bayesm (1.1-1-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  3 Jul 2005 20:18:37 -0500

r-cran-bayesm (1.1-0-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 23 Jun 2005 11:03:25 -0500

r-cran-bayesm (1.0-2-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  2 Jun 2005 19:28:50 -0500

r-cran-bayesm (1.0-1-1) unstable; urgency=low

  * New upstream release.
  * Modify debian/watch to point to cran.r-project.org.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 20 May 2005 16:45:23 -0500

r-cran-bayesm (0.0-2-1) unstable; urgency=low

  * Initial Debian Release.  (Closes: #308255)

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  8 May 2005 20:07:30 -0500

=== debian/control ===
Source: r-cran-bayesm
Section: gnu-r
Priority: optional
Maintainer: Chris Lawrence <lawrencc@debian.org>
Build-Depends: debhelper (>> 7), r-base-dev (>> 2.5.1), cdbs
Standards-Version: 3.9.1
Homepage:  http://www.perossi.org/home/bsm-1

Package: r-cran-bayesm
Architecture: any
Depends: r-base-core (>> 2.5.1), ${shlibs:Depends}, ${misc:Depends}
Description: GNU R package for Bayesian inference
 The bayesm package covers many important models used in marketing and
 micro-econometrics applications. The package includes:
 .
  * Bayes Regression (univariate or multivariate dep var)
  * Multinomial Logit (MNL) and Multinomial Probit (MNP)
  * Multivariate Probit,
  * Multivariate Mixtures of Normals
  * Hierarchical Linear Models with normal prior and covariates
  * Hierarchical Multinomial Logits with mixture of normals prior and
    covariates
  * Bayesian analysis of choice-based conjoint data
  * Bayesian treatment of linear instrumental variables models
  * Analyis of Multivariate Ordinal survey data with scale usage heterogeneity
    (as in Rossi et al, JASA (01)).
 .
 For further reference, consult the authors' book, _Bayesian Statistics and
 Marketing_ by Allenby, McCulloch and Rossi.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-car package
# Copyright 2003 by Dirk Eddelbuettel <edd@debian.org>

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/langcore.mk

## We need the CRAN (upstream) name 
cranName	:= $(shell grep Package: DESCRIPTION | cut -f2 -d" ")
## and we need to build a Debian Policy-conformant lower-case package name
cranNameLC	:= $(shell echo $(cranName) | tr "[A-Z]" "[a-z]" | tr "." "-" )
## which we can use to build the package directory 
package		:= r-cran-$(cranNameLC)
## which we use for the to-be-installed-in directory
debRlib		:= $(CURDIR)/debian/$(package)/usr/lib/R/site-library

common-install-indep:: R_any_arch
common-install-arch:: R_any_arch

R_any_arch:
		dh_installdirs		usr/lib/R/site-library
		R CMD INSTALL --clean -l $(debRlib) .
		rm -vf $(debRlib)/R.css $(debRlib)/$(cranName)/COPYING
		mkdir -p debian/r-cran-bayesm/usr/share/doc/r-cran-bayesm/
		(cd debian/r-cran-bayesm/usr/share/doc/r-cran-bayesm/; ln -s ../../../lib/R/site-library/bayesm/doc/Some_Useful_R_Pointers.pdf ../../../lib/R/site-library/bayesm/doc/Tips_On_Using_bayesm.pdf .)

clean::
		chmod -x inst/doc/*.pdf

## r-cran-bayesm 2.2-5

=== debian/changelog ===
r-cran-bayesm (2.2-5-1) unstable; urgency=low

  * New upstream release.
  * Rebuild for R 3.0.0.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 31 Mar 2013 20:16:20 -0400

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
-Build-Depends: debhelper (>> 7), r-base-dev (>> 2.5.1), cdbs
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>> 9), r-base-dev (>= 3.0), cdbs, dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.3
 Homepage:  http://www.perossi.org/home/bsm-1
 
 Package: r-cran-bayesm
 Architecture: any
-Depends: r-base-core (>> 2.5.1), ${shlibs:Depends}, ${misc:Depends}
+Depends: ${R:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Description: GNU R package for Bayesian inference
  The bayesm package covers many important models used in marketing and
  micro-econometrics applications. The package includes:

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-car package
# Copyright 2003 by Dirk Eddelbuettel <edd@debian.org>

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/R/debian/r-cran.mk

common-install-arch:: R_any_arch
		rm -vf $(debRlib)/R.css $(debRlib)/$(cranName)/COPYING
		mkdir -p debian/r-cran-bayesm/usr/share/doc/r-cran-bayesm/
		(cd debian/r-cran-bayesm/usr/share/doc/r-cran-bayesm/; ln -s ../../../lib/R/site-library/bayesm/doc/Some_Useful_R_Pointers.pdf ../../../lib/R/site-library/bayesm/doc/Tips_On_Using_bayesm.pdf .)

clean::
		chmod -x inst/doc/*.pdf

=== debian/watch ===
version=2
http://cran.r-project.org/src/contrib/bayesm_(.*)\.tar\.gz

## r-cran-bayesm 3.0

=== DESCRIPTION ===
Package: bayesm
Version: 3.0-2
Type: Package
Title: Bayesian Inference for Marketing/Micro-Econometrics
Depends: R (>= 2.10)
Date: 2015-06-15
Author: Peter Rossi <perossichi@gmail.com>
Maintainer: Peter Rossi <perossichi@gmail.com>
License: GPL (>= 2)
Imports: Rcpp (>= 0.11.3)
LinkingTo: Rcpp, RcppArmadillo
URL: http://www.perossi.org/home/bsm-1
Description: Covers many important models used
  in marketing and micro-econometrics applications. 
  The package includes:
  Bayes Regression (univariate or multivariate dep var),
  Bayes Seemingly Unrelated Regression (SUR),
  Binary and Ordinal Probit,
  Multinomial Logit (MNL) and Multinomial Probit (MNP),
  Multivariate Probit,
  Negative Binomial (Poisson) Regression,
  Multivariate Mixtures of Normals (including clustering),
  Dirichlet Process Prior Density Estimation with normal base,
  Hierarchical Linear Models with normal prior and covariates,
  Hierarchical Linear Models with a mixture of normals prior and covariates,
  Hierarchical Multinomial Logits with a mixture of normals prior
     and covariates,
  Hierarchical Multinomial Logits with a Dirichlet Process prior and covariates,
  Hierarchical Negative Binomial Regression Models,
  Bayesian analysis of choice-based conjoint data,
  Bayesian treatment of linear instrumental variables models,
  Analysis of Multivariate Ordinal survey data with scale
     usage heterogeneity (as in Rossi et al, JASA (01)),
  Bayesian Analysis of Aggregate Random Coefficient Logit Models as in BLP (see
  Jiang, Manchanda, Rossi 2009)
  For further reference, consult our book, Bayesian Statistics and
  Marketing by Rossi, Allenby and McCulloch (Wiley 2005) and Bayesian Non- and Semi-Parametric
  Methods and Applications (Princeton U Press 2014).
NeedsCompilation: yes
Packaged: 2015-06-20 06:26:44 UTC; ripley
Repository: CRAN
Date/Publication: 2015-06-20 08:33:45

## r-cran-bayesm 3.0-2

=== debian/changelog ===
r-cran-bayesm (3.0-2-2) unstable; urgency=medium

  * Add correct build dependencies. (Closes: #794144)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 31 Jul 2015 03:10:14 -0400

r-cran-bayesm (3.0-2-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 14 Jul 2015 19:54:30 -0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
-Build-Depends: debhelper (>> 9), r-base-dev (>= 3.0), cdbs, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>> 9), r-base-dev (>= 3.0), cdbs, dpkg-dev (>= 1.16.1~), r-cran-rcpparmadillo
+Standards-Version: 3.9.6
 Homepage:  http://www.perossi.org/home/bsm-1
 
 Package: r-cran-bayesm

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,3 @@
 		rm -vf $(debRlib)/R.css $(debRlib)/$(cranName)/COPYING
 		mkdir -p debian/r-cran-bayesm/usr/share/doc/r-cran-bayesm/
 		(cd debian/r-cran-bayesm/usr/share/doc/r-cran-bayesm/; ln -s ../../../lib/R/site-library/bayesm/doc/Some_Useful_R_Pointers.pdf ../../../lib/R/site-library/bayesm/doc/Tips_On_Using_bayesm.pdf .)
-
-clean::
-		chmod -x inst/doc/*.pdf

## r-cran-bayesm 3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Package: bayesm
-Version: 3.0-2
+Version: 3.1-4
 Type: Package
 Title: Bayesian Inference for Marketing/Micro-Econometrics
-Depends: R (>= 2.10)
-Date: 2015-06-15
+Depends: R (>= 3.2.0)
+Date: 2019-10-14
 Author: Peter Rossi <perossichi@gmail.com>
 Maintainer: Peter Rossi <perossichi@gmail.com>
 License: GPL (>= 2)
-Imports: Rcpp (>= 0.11.3)
+Imports: Rcpp (>= 0.12.0), utils, stats, graphics, grDevices
 LinkingTo: Rcpp, RcppArmadillo
+Suggests: knitr, rmarkdown
+VignetteBuilder: knitr
 URL: http://www.perossi.org/home/bsm-1
 Description: Covers many important models used
   in marketing and micro-econometrics applications. 
@@ -36,7 +38,8 @@
   For further reference, consult our book, Bayesian Statistics and
   Marketing by Rossi, Allenby and McCulloch (Wiley 2005) and Bayesian Non- and Semi-Parametric
   Methods and Applications (Princeton U Press 2014).
+RoxygenNote: 6.0.1
 NeedsCompilation: yes
-Packaged: 2015-06-20 06:26:44 UTC; ripley
+Packaged: 2019-10-14 23:11:26 UTC; perossichi
 Repository: CRAN
-Date/Publication: 2015-06-20 08:33:45
+Date/Publication: 2019-10-15 07:50:03 UTC

## r-cran-bayesm 3.1-0.1

=== debian/changelog ===
r-cran-bayesm (3.1-0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Take over packaging into Debian Science team
  * Verified d/watch and express this by setting version=4
  * cme fix dpkg-control
  * convert from cdbs to dh-r
  * debhelper 10
  * Canonical homepage of CRAN packages
  * Add autopkgtest
  * DEP5
  * Add README.source to document binary data files

 -- Andreas Tille <tille@debian.org>  Thu, 07 Sep 2017 14:40:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,24 @@
 Source: r-cran-bayesm
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Chris Lawrence <lawrencc@debian.org>
 Section: gnu-r
 Priority: optional
-Maintainer: Chris Lawrence <lawrencc@debian.org>
-Build-Depends: debhelper (>> 9), r-base-dev (>= 3.0), cdbs, dpkg-dev (>= 1.16.1~), r-cran-rcpparmadillo
-Standards-Version: 3.9.6
-Homepage:  http://www.perossi.org/home/bsm-1
+Build-Depends: debhelper (>= 10),
+               r-base-dev (>= 3.0),
+               dh-r,
+               r-cran-rcpparmadillo
+Standards-Version: 4.1.0
+Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/r-cran-bayesm.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-bayesm.git
+Homepage: https://cran.r-project.org/package=bayesm
 
 Package: r-cran-bayesm
 Architecture: any
-Depends: ${R:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${R:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: GNU R package for Bayesian inference
  The bayesm package covers many important models used in marketing and
  micro-econometrics applications. The package includes:

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/bayesm_@ANY_VERSION@@ARCHIVE_EXT@

## r-cran-bayesm 3.1-1

=== debian/changelog ===
r-cran-bayesm (3.1-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Mon, 07 Jan 2019 10:52:13 +0100

r-cran-bayesm (3.1-0.1-3) unstable; urgency=medium

  * Team upload.
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jun 2018 17:47:12 +0200

r-cran-bayesm (3.1-0.1-2) unstable; urgency=medium

  * Team upload
  * Do not link to non-existing docs
    Closes: #857414
  * Standards-Version: 4.1.3
  * debhelper 11
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Sat, 24 Mar 2018 08:15:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: r-cran-bayesm
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Chris Lawrence <lawrencc@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               r-base-dev (>= 3.0),
+Build-Depends: debhelper (>= 11~),
                dh-r,
+               r-base-dev,
+               r-cran-rcpp (>= 0.12.0),
                r-cran-rcpparmadillo
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/r-cran-bayesm.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-bayesm.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bayesm
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bayesm.git
 Homepage: https://cran.r-project.org/package=bayesm
 
 Package: r-cran-bayesm

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/bayesm_@ANY_VERSION@@ARCHIVE_EXT@

## r-cran-bayesm 3.1-3+dfsg

=== debian/changelog ===
r-cran-bayesm (3.1-3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jul 2019 11:50:58 +0200

r-cran-bayesm (3.1-2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0
  * Remove autogenerated HTML docs since it is including compressed JS
  * Test-Depends: r-cran-rmarkdown

 -- Andreas Tille <tille@debian.org>  Wed, 17 Jul 2019 22:53:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Chris Lawrence <lawrencc@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-rcpp (>= 0.12.0),
                r-cran-rcpparmadillo
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bayesm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bayesm.git
 Homepage: https://cran.r-project.org/package=bayesm

## r-cran-bayesm 3.1-4%2Bdfsg

=== debian/changelog ===
r-cran-bayesm (3.1-4+dfsg-1build2) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 19:17:14 +0000

r-cran-bayesm (3.1-4+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:17:15 +0100

r-cran-bayesm (3.1-4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Mon, 28 Oct 2019 21:42:42 +0100

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/bayesm_@ANY_VERSION@@ARCHIVE_EXT@

## r-cran-bayesm 3.1-4+dfsg

=== debian/tests/control ===
Tests: vignette
Depends: @, r-cran-knitr, r-cran-rmarkdown
Restrictions: allow-stderr

## r-cran-bayesm 3.1-5+dfsg

=== debian/changelog ===
r-cran-bayesm (3.1-5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 05 Dec 2022 13:38:47 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,18 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Chris Lawrence <lawrencc@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcpp (>= 0.12.0),
+               r-cran-rcpp,
                r-cran-rcpparmadillo
-Standards-Version: 4.4.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bayesm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bayesm.git
 Homepage: https://cran.r-project.org/package=bayesm
+Rules-Requires-Root: no
 
 Package: r-cran-bayesm
 Architecture: any

## r-cran-bayesm 3.1-6%2Bdfsg

=== debian/changelog ===
r-cran-bayesm (3.1-6+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 30 Sep 2023 08:32:20 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-rcpp,
                r-cran-rcpparmadillo
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bayesm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bayesm.git
 Homepage: https://cran.r-project.org/package=bayesm

## r-cran-bayesm 3.1-7%2Bdfsg

=== debian/changelog ===
r-cran-bayesm (3.1-7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 11 Dec 2025 15:19:27 +0900

## r-cran-bayesm 3.1-7+dfsg

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,10 @@
                dh-r,
                r-base-dev,
                r-cran-rcpp,
-               r-cran-rcpparmadillo
-Standards-Version: 4.6.2
+               r-cran-rcpparmadillo,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bayesm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bayesm.git
 Homepage: https://cran.r-project.org/package=bayesm
